# WP Multi Comment Notifications

**Benachrichtigt bei neuen WordPress-Kommentaren per E-Mail und optional über Telegram.**  
Ideal für Teams und Website-Administratoren, die nichts verpassen möchten.

![Version](https://img.shields.io/badge/version-1.1-blue)
![WordPress](https://img.shields.io/badge/WordPress-6.7.2-blue)
![License](https://img.shields.io/badge/license-GPL--2.0-lightgrey)

---

## 📦 Funktionsumfang

- 📬 **E-Mail-Benachrichtigungen** bei neuen Kommentaren
- 💬 **Telegram-Benachrichtigungen** (optional aktivierbar)
- 🔧 **Einstellungsseite im WP-Backend**
- 🧩 **Dashboard-Widget** zeigt aktuelle Plugin-Version + Update-Infos von Gitea
- 🔁 Automatische stündliche Prüfung auf Updates

---

## 🚀 Installation

1. Plugin herunterladen oder aus Gitea/ZIP installieren
2. In WordPress unter „Plugins“ aktivieren
3. Unter **Einstellungen → Kommentar-Benachrichtigungen** konfigurieren

---

## ⚙️ Einstellungen

### 📬 E-Mail-Benachrichtigungen
Die Plugin-eigene Logik verwendet WordPress’ Kommentar-Hooks, um Administratoren sofort über neue Kommentare per E-Mail zu informieren.

### 💬 Telegram-Benachrichtigungen

1. Bot bei [BotFather](https://t.me/BotFather) erstellen
2. Bot-Token und Chat-ID im Plugin eintragen (noch nicht öffentlich im UI, folgt bald)
3. Fertig!

> Weitere Funktionen wie Microsoft Teams oder Slack folgen.

---

## 🛠️ Entwicklerinfos

### Dashboard-Widget

Das Plugin zeigt ein Widget im WP-Admin-Dashboard, das auf die neueste Version des Plugins prüft

